# For svn version: do
# $ svn checkout http://opensvn.csie.org/wallpapoz/trunk wallpapoz-%%{mainver}%%{?svnver:-svn%%svnver}
# $ tar -cjf %%{name}-%%{mainver}%%{?svnver:-svn%%svnver}.tar.bz2 %%{name}-%%{mainver}/

%define         srcurl          http://wallpapoz.akbarhome.com/
%define         icondir         %{_datadir}/icons/hicolor/128x128/apps

%define         mainver         0.6.2
%undefine         betaver
#%%define         svnver          svn92_trunk
%define         fedorarel		13

%define         rel             %{?betaver:0.}%{fedorarel}%{?svnver:.%svnver}%{?betaver:.%betaver}

Name:           wallpapoz
Version:        %{mainver}
Release:        %{rel}%{?dist}.2
Summary:        Gnome Multi Backgrounds and Wallpapers Configuration Tool

License:        GPLv2+
URL:            http://vajrasky.wordpress.com/wallpapoz/
Source0:        https://github.com/downloads/vajrasky/wallpapoz/%{name}-%{mainver}%{?svnver:-%svnver}%{?betaver:%betaver}.tar.bz2
%if 0%{?fedora} >= 12
Source11:       wallpapoz-autostart.desktop
%endif
# Install daemon_wallpapoz wrapper script, which may
# fix 584980, 597687?
# and 711541
Source12:	daemon_wallpapoz-wrapper
#
# Glade XML converted to GTK builder script
# Source21:	wallpapoz-0.6.2-builder.tar.bz2
# Source21 is generated by the following script.
# Note that the following script uses "gtk-builder-convert" in gtk2-devel
# Now "gtk-builder-convert" is imported to python3, so don't use Source21
Source22:	wallpapoz-glade-builder-convert.sh
#
# Misc fixes for daemon_wallpapoz under compiz working,
# containing fix for bug 531342, 542244, bug 567437, bug 573642
Patch0:         wallpapoz-0.6.1-workspace-num-respawn.patch
# Check if selected item is really a directory when adding directory
# bug 549219
Patch2:         wallpapoz-0.6.1-dircheck.patch
# Avoid backtrace in case no item is selected yet (bug 555181)
Patch3:         wallpapoz-0.4.1-rev92-noitem_selected.patch
# Intialization for pasting selected items
Patch4:         wallpapoz-0.4.1-rev92-paste-initialization.patch
# Kill daemon_wallpapoz when X resource is no longer available
# bug 531343, 538533, 541434, 556377, 569135, 571827
# (and bug 566594)
# (and bug 711541)
Patch5:         wallpapoz-0.6.2-kill-daemon-without-x.patch
# Kill other daemon_wallpapoz if running
Patch6:         wallpapoz-0.6.1-kill-multiple-daemon.patch
# Make wallpapoz gui handle animated image file
# bug 602921
Patch7:		wallpapoz-0.6.1-animated-image.patch
# Non-utf8 directory can return NoneType with filechooser_widget.get_filename
# bug 603351
Patch8:		wallpapoz-0.6.1-nonutf8-directory.patch
# Don't remove a wallpaper from a workspace if there is only one
# wallpaper left.
# bug 567136
# Also some fixes about gtk menu sensitive issue (after doing some movement
# for wallpapers)
Patch9:		wallpapoz-0.6.1-delete-one-wallpaper.patch
# Fix backtrace when deleting first element in desktop (not workspace) mode
# bug 597959
Patch10:	wallpapoz-0.6.1-delete-first-in-desktop-mode.patch
# Port to gsettings
#Patch11:	wallpapoz-0.5-gsettings.patch
# At startup, wallpapoz will try to show workspace name as "images"
Patch12:	wallpapoz-0.5-startup-warn-about-workspace-name.patch
# Fix backtrace when switching from desktop style XML to workspace style one
# with workspace number increased
# bug 708769
Patch13:	wallpapoz-0.6.1-switch-from-wallpaper-to-desktop-with-workspace-increase.patch
# Return to set default WM to GNOME3 when proper WM is not found
# (bug 857587)
Patch14:	wallpapoz-0.6.2-wm-return-to-default.patch
# Don't import Image directory and import PIL instead for
# F-19 Pillow conversion
# (bug 895217)
Patch15:	wallpapoz-0.6.2-import-PIL-for-Image.patch
# Support LXDE
Patch16:	wallpapoz-0.6.2-LXDE.patch
# Support MATE
# https://bugzilla.redhat.com/show_bug.cgi?id=1029554#c31
# https://bugzilla.redhat.com/show_bug.cgi?id=1029554#c38
Patch17:	wallpapoz-0.6.2-MATE.patch
# Support CINNAMON
# https://bugzilla.redhat.com/show_bug.cgi?id=1029554#c44
Patch18:	wallpapoz-0.6.2-CINNAMON.patch
# Switch to python3
Patch31:	wallpapoz-0.6.2-python3.patch
# bug 1773214 and etc, various fixes for "desktop" type xml
Patch32:	wallpapoz-0.6.2-python3-desktop-type.patch

BuildArch:      noarch

BuildRequires:  desktop-file-utils
BuildRequires:  gettext
BuildRequires:  python3-devel
BuildRequires:  python3-imaging
BuildRequires:  gtk3
BuildRequires:  python3-gobject
BuildRequires:  %{_bindir}/gtk-builder-convert
#BuildRequires:  gnome-python2
# See bug 456122
%if 0%{?fedora} >= 10
#BuildRequires:  gnome-python2-gnome
%endif
# Because wallpapoz uses gconftool-2 or so
Requires:       GConf2
Requires:       gtk3
Requires:       python3-gobject
Requires:       python3-imaging
#Requires:       gnome-python2-gnome
Requires:       xprop xwininfo
Requires:       %{_bindir}/kill
Requires:       %{_bindir}/pgrep

%description
This tool enables your Gnome desktop to have different 
wallpapers for different workspaces or virtual desktops.

%prep
%setup -q -n %{name}-%{version}%{?svnver:-%svnver}
%patch0 -p1 -b .respawn
%patch2 -p1 -b .dircheck
%patch3 -p1 -b .noitem
%patch4 -p1 -b .patch_init
%patch5 -p1 -b .kill_nox
%patch6 -p1 -b .kill_multi
%patch7 -p1 -b .anime
%patch8 -p1 -b .nonutf8
%patch9 -p1 -b .deletelastone
%patch10 -p1 -b .deletefirst
%patch12 -p1 -b .workspace_img
%patch13 -p1 -b .workspace_num_incr
%patch14 -p1 -b .default
%patch15 -p1 -b .pil
%patch16 -p1 -b .LXDE
%patch17 -p1 -b .MATE
%patch18 -p1 -b .CINNAMON

grep -rl --null '/usr/bin/env python$' . | \
	xargs --null sed -i -e 's|/usr/bin/env python|/usr/bin/python2|'

%patch31 -p1 -b .py3
%patch32 -p1 -b .py3.desktop

# For setup
mkdir TMPBINDIR
pushd TMPBINDIR
ln -sf /bin/true xwininfo
popd

# Install C gnome help documents (bug 651522)
ln -sf c share/gnome/help/wallpapoz/C

%build
bash %{SOURCE22}
find . -type f -print0 | xargs -0 chmod 0644
grep -rl --null '#!/usr/bin' . | xargs -0 chmod 0755

%install
%{__rm} -rf $RPM_BUILD_ROOT
%{__mkdir_p} $RPM_BUILD_ROOT%{_prefix}

export PATH=$(pwd)/TMPBINDIR:$PATH
%{__python3} setup.py install --installdir=$RPM_BUILD_ROOT%{_prefix}

%{__sed} -i -e 's|%{name}\.png|%{name}|' \
   $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop
desktop-file-install \
%if 0%{?fedora} < 19
   --vendor fedora \
%endif
   --dir $RPM_BUILD_ROOT%{_datadir}/applications \
   --delete-original \
   $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop

# Install desktop application autostart stuff
%if 0%{?fedora} >= 12
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_sysconfdir}/xdg/autostart
desktop-file-install \
	--dir ${RPM_BUILD_ROOT}%{_sysconfdir}/xdg/autostart \
	%{SOURCE11}
%endif

# Install daemon_wallpapoz wrapper script
pushd ${RPM_BUILD_ROOT}
%{__mkdir_p} ./%{_libexecdir}
%{__mv} ./%{_bindir}/daemon_wallpapoz ./%{_libexecdir}
%{__install} -cp -m 0755 %{SOURCE12} ./%{_bindir}/daemon_wallpapoz
popd
# And as we use out custom wrapper script, the following
# is not needed
rm -f ${RPM_BUILD_ROOT}%{_bindir}/launcher_wallpapoz.sh

# Manually install the following
install -cpm 0644  \
	wallpapoz-*/share/wallpapoz/glade/*builder*glade \
	%{buildroot}%{_datadir}/%{name}/glade/

%{find_lang} %{name}

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc COPYING README
%{_bindir}/*%{name}
%{_libexecdir}/daemon_wallpapoz

%if 0%{?fedora} >= 12
%{_sysconfdir}/xdg/autostart/wallpapoz-autostart.desktop
%endif

%{_datadir}/%{name}/
%{_datadir}/gnome/help/%{name}/

%{_datadir}/pixmaps/%{name}.png
%{_datadir}/applications/*%{name}.desktop

%changelog
* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.2-13.2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Sat Jan 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.2-13.1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Nov  5 2021 Mamoru TASAKA <mtasaka@fedoraproject.org> - 0.6.2-13
- Use python3-ported gtk-builder-convert in build time instead of
  glade files generated preliminarily

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.2-12.3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.2-12.2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Tue Jul 28 2020 Adam Jackson <ajax@redhat.com> - 0.6.2-12.1
- Require xprop xwininfo, not xorg-x11-utils

* Fri Jan 31 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.2-11.1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Thu Nov 28 2019 Mamoru TASAKA <mtasaka@fedoraproject.org> - 0.6.2-11
- bug 1773214 and etc, various fixes for "desktop" type xml

* Mon Sep  2 2019 Mamoru TASAKA <mtasaka@fedoraproject.org> - 0.6.2-10
- Switch to python3

* Sun Sep  1 2019 Mamoru TASAKA <mtasaka@fedoraproject.org> - 0.6.2-8.1
- Escape white spaces in wallpaper name properly

* Fri Aug 23 2019 Mamoru TASAKA <mtasaka@fedoraproject.org> - 0.6.2-9
- F-31+: Drop gnome-python2-gnome dependency for now

* Sat Jul 27 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.2-8.1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Mon Feb  4 2019 Mamoru TASAKA <mtasaka@fedoraproject.org> - 0.6.2-8
- Use python2 explicitly

* Sun Feb 03 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.2-7.9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.2-7.8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Feb 28 2018 Iryna Shcherbina <ishcherb@redhat.com> - 0.6.2-7.7
- Update Python 2 dependency declarations to new packaging standards
  (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.2-7.6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.2-7.5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.2-7.4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Fri Feb 05 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.2-7.3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.2-7.2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.2-7.1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu Dec 12 2013 Mamoru TASAKA <mtasaka@fedoraproject.org> - 0.6.2-7
- Support CINNAMON (bug 1029554, leigh scott)

* Wed Nov 27 2013 Mamoru TASAKA <mtasaka@fedoraproject.org> - 0.6.2-6
- Support MATE (bug 1029554, leigh scott, Wolfgang Ulbrich)

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.2-5.1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sat Feb  9 2013 Mamoru TASAKA <mtasaka@fedoraproject.org> - 0.6.2-5
- F-19: kill vendorization of desktop file (fpc#247)

* Sat Jan 19 2013 Mamoru TASAKA <mtasaka@fedoraproject.org> - 0.6.2-4
- Support LXDE

* Tue Jan 15 2013 Mamoru TASAKA <mtasaka@fedoraproject.org> - 0.6.2-3
- Don't import Image directly and import PIL instead for
  F-19 Pillow conversion
  Patch from Stephen Gallagher <sgallagh@redhat.com>
  (bug 895217)

* Tue Sep 18 2012 Mamoru Tasaka <mtasaka@fedoraproject.org> - 0.6.2-2
- Return to set default WM to GNOME3 when proper WM is not found
  (bug 857587)

* Sun Jul 22 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.2-1.1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Mar  6 2012 Mamoru Tasaka <mtasaka@fedoraproject.org> - 0.6.2-1
- 0.6.2

* Wed Jan 18 2012 Mamoru Tasaka <mtasaka@fedoraproject.org> - 0.6.1-2
- Fix error on Patch13 which causes unneeded entry to show up
  in wallpapoz GUI

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.1-1.1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Fri Dec 30 2011 Mamoru Tasaka <mtasaka@fedoraproject.org> - 0.6.1-1
- Update to 0.6.1

* Fri Dec 30 2011 Mamoru Tasaka <mtasaka@fedoraproject.org> - 0.5-10
- Forgot to apply patch13...

* Mon Nov 28 2011 Mamoru Tasaka <mtasaka@fedoraproject.org> - 0.5-9
- More strict check on daemon_wallpapoz startup for xprop
  (bug 711541)

* Wed Jun  1 2011 Mamoru Tasaka <mtasaka@fedoraproject.org> - 0.5-8
- Fix crash witching from desktop style XML to workspace style one
  with workspace number increased (bug 708769)

* Mon May  9 2011 Mamoru Tasaka <mtasaka@fedoraproject.org> - 0.5-6.1
- F-14: kill gsettings patch explicitly: F-14 gsettings crashes
  every time key is not found

* Fri May  6 2011 Mamoru Tasaka <mtasaka@fedoraproject.org> - 0.5-6
- Fix crash on wallpapoz with desktop style xml which was introduced
  in -5 (bug 702538)

* Fri May  5 2011 Mamoru Tasaka <mtasaka@fedoraproject.org> - 0.5-5
- And more fix for gsettings key name change
- Kill warnings on startup when wallpapoz tries to show workspace name
  as "images"

* Sat Apr 16 2011 Mamoru Tasaka <mtasaka@fedoraproject.org> - 0.5-4
- Modify for gsettings key name change

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5-3.1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Dec  7 2010 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.5-3
- Port to gsettings

* Thu Nov 11 2010 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.5-2
- Install C gnome help documents correctly (bug 651522)

* Thu Oct  7 2010 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.5-1
- Update to 0.5

* Fri Jul 23 2010 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp>
- F-14: rebuild against python 2.7

* Tue Jun 15 2010 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.4.1-24.svn92_trunk
- Fix backtrace when deleting first element in desktop (not workspace) mode
  (bug 597959)
- Install daemon_wallpapoz wrapper script to check if xprop really works before
  launching daemon (may fix 584980, 597687??)

* Sun Jun 13 2010 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.4.1-23.svn92_trunk
- Don't remove a wallpaper from workspace when only one wallpaper is left
  (bug 567136)
- Also some fixes for gtk menu sensitive issue (after some movement for
  wallpapers)

* Sun Jun 13 2010 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.4.1-22.svn92_trunk
- Make wallpapoz gui ignore non-utf8 directory correctly
  (filechooser_widget.get_filename can return NoneType, bug 603351)

* Sat Jun 12 2010 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.4.1-21.svn92_trunk
- Make wallpapoz gui handle animated image file (bug 602921)

* Thu Mar 18 2010 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.4.1-20.svn92_trunk
- Handle another potentially race condition under compiz (may fix 573642)

* Wed Mar 10 2010 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.4.1-19.svn92_trunk
- Kill daemon_wallpapoz in more cases (may fix bug 571827)

* Mon Mar  1 2010 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.4.1-18.svn92_trunk
- -compiz-respawn.patch: simplify
- Handle more cases where X is no longer available (bug 569135)
- Handle fork() failure (bug 566594)

* Fri Feb 26 2010 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.4.1-17.svn92_trunk
- Another try for race condition on checking compiz status
  (bug 567437)

* Wed Feb 10 2010 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.4.1-16.svn92_trunk
- Don't update compiz status to fix race (bug 562943)

* Tue Feb  9 2010 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.4.1-15.svn92_trunk
- Change the way to fix backtrace with no X resource issue

* Mon Feb  8 2010 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.4.1-14.svn92_trunk
- Check if the selected item is really a directory on directory
  chooser dialog (bug 549219)
- Avoid backtrace in case no item is selected yet (bug 555181)
- Avoid backtrace when trying to paste when no item is copyed yet

* Thu Feb  4 2010 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.4.1-12.svn92_trunk
- Some fixes for daemon_wallpapoz under compiz
  (bug 531342, 542244)
- Kill daemon_wallpapoz when X resource is no longer avaiable
  (bug 531343, 538533, 541434, 556377)

* Wed Sep 23 2009 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.4.1-11.svn92_trunk
- Explicitly add R: GConf2 (as wallpapoz really needs this)

* Sun Aug 30 2009 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.4.1-10.svn92_trunk
- Update to rev 92
- Install desktop application autostart stuff on F-12+

* Sat Jul 25 2009 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.4.1-9.svn87_trunk
- F-12: Mass rebuild

* Tue Feb 24 2009 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp>
- F-11: Mass rebuild

* Wed Jan 21 2009 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.4.1-8.svn87_trunk
- Always once kill daemon_wallpapoz process if it exists before start

* Mon Dec 01 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com>
- F-11: Rebuild for Python 2.6

* Wed Aug 27 2008 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.4.1-7.svn87_trunk
- F-10+: Add (Build)Requires: gnome-python2-gnome (bug 456122, 460022)

* Thu Apr  3 2008 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.4.1-5.svn87_trunk
- Also install cs documents manually

* Tue Apr  1 2008 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.4.1-4.svn87_trunk
- Update to latest svn per requests from upstream to support
  2 more locales

* Wed Dec  5 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.4.1-3
- Fix icon path in desktop file for desktop-file-utils 0.14+

* Fri Oct  5 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.4.1-2
- License update
- Drop yelp dependency

* Thu Jun 14 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.4.1-1
- 0.4.1

* Mon Jun  4 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.4-2
- Require xorg-x11-utils (bug 242349)

* Thu May 31 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.4-1
- 0.4 release!

* Wed May 23 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.4-0.5.svn69
- svn 69

* Wed May 16 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.4-0.5.rc2
- 0.4 rc2

* Tue Apr 17 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.4-0.4.svn55
- Add Japanese xml files (upstream will merge this)

* Wed Apr 11 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.4-0.2.svn55
- svn 55

* Thu Apr  5 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.4-0.2.svn50
- Update to 0.4 pre svn50
- Add Japanese support (upstream will merge this)

* Thu Oct 12 2006 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.3-1
- Initial packaging, importing to Fedora extras.
